/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 * 
 * Copyright (C) 2001-2004 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */

package org.objectweb.medor.eval.lib;

import org.objectweb.medor.eval.api.EvaluationMetaData;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class BasicEvaluationMetaData implements EvaluationMetaData {

	boolean isCache = false;
	boolean isParallel = false;
	int rangeStart = 0;
	int rangeSize = Integer.MAX_VALUE;

	public void setCache(boolean isCache) {
		this.isCache = isCache;
	}

	public boolean isCache() {
		return isCache;
	}

	public void setParallel(boolean isParallel) {
		this.isParallel = isParallel;
	}

	public boolean isParallel() {
		return isParallel;
	}

	public boolean isLimitedRange() {
	  return rangeSize < Integer.MAX_VALUE;
	}

	public void setLimitedRangeStartAt(int start) {
		rangeStart = start;
	}

	public int getLimitedRangeStartAt() {
		return rangeStart;
	}

	public void setLimitedRangeSize(int number) {
		rangeSize = number;
	}

	public int getLimitedRangeSize() {
		return rangeSize;
	}
}
